目次

# Select...Case Statement

1 ないし複数のステートメントブロックを、与えられた表式に応じて選択します。

### Syntax:

      Select Case expression
         Case values
           Statement Block
      [  Case values2
           Statement Block]
      [  Case Else
           Statement Block]
      End Select

### Parameters:

expression: Any expression that controls if the statement block that follows the respective Case clause is executed.

values: Any value list that is compatible with the expression. The statement block that follows the Case clause is executed if expression matches values.

### Example:

    Sub ExampleRandomSelect
    Dim iVar As Integer
        iVar = Int((15 * Rnd) -2)
        Select Case iVar
            Case 1 To 5
                Print "Number from 1 to 5"
            Case 6, 7, 8
                Print "Number from 6 to 8"
            Case 8 To 10
                Print "Greater than 8"
            Case Else
                Print "Out of range 1 to 10"
        End Select
    End Sub

関連項目

Choose Function

Switch Function

If statement

Iif or Switch functions

ご支援をお願いします！